Subject: [xrblock] WGLC for http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 3 Jun 2013 13:24:12 +0000

Hi,

This is a WGLC for the Internet-Draft 'RTP Control Protocol (RTCP) Extended Report (XR) Blocks for QoE Metric Reporting'. Please send your comments, questions, and concerns to the WG list before Monday 6/17 COB. If you have no comments or questions and you believe that this document is ready for submission to the IESG for consideration as a Proposed Standard, please send a message stating this. 

The latest version of the document can be retrieved from http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt.

Thanks and Regards,

Dan

---

From: Colin Perkins <[email-masked]>
Date: Tue, 11 Jun 2013 16:49:30 +0100

Dan,

My comments on the previous version of the draft have been addressed. I have no objection to it progressing.

Colin

On 3 Jun 2013, at 14:24, Romascanu, Dan (Dan) wrote:
> _______________________________________________
> xrblock mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xrblock

-- 
Colin Perkins
http://csperkins.org/

---

From: "Roni Even" <[email-masked]>
Date: Wed, 12 Jun 2013 12:39:40 +0300

Hi,
I reviewed the document and have one comment and some nits. Otherwise it is
OK

Comment:
Maybe it was discussed but I was wondering looking at mosref in section 4.1
what are the resolution does the draft mean h=HD/wideband and
l=SD/narrowband  or is just arbitray low and high with no specific
resolution. 
One option is to say that "l" is for example CIF/narrowband (7kHz) or lower
and high is anything above it. But some clarification is needed.

Nits
1. in section 1.4 "The  factors in the second category are
application-specific factors that  affect real time application (e.g.,
video) quality and are
   sensitivity to network errors.  These factors can be but not limited to
video" change " sensitivity" to "sensitive" and " These factors can be but
not limited" to " These factors can be but are not limited"

2. In section 1.4  Change " the QoE Metrics is highly required which can be
conveyed in the RTCP XR packets [RFC3611] and may have the following three
benefits" to " the QoE Metrics is highly required and can be conveyed in the
RTCP XR packets
   [RFC3611 providing the following three benefits"

3. in section 3.1 change "Flags indicate which are and which are not
reported" to "Flags indicate which parameters are and which are not
reported"

4. For MOS value in 3.2.1 and 3.2.2 suggest to change " The valid the
measured value ranges from 0.0 to  50.0, corresponding to MoS x 10 as for
MoS.  If the measured value  is over ranged" to
"The measured value ranges from 0.0 to  50.0, corresponding to MoS x 10 as
for MoS.  If the measured value is over the range"

5. in 3.2.2 for Channel identifier change " rule described in  the section
4.1 of [RFC3551]" to " rule described in section 4.1 of [RFC3551]"

Roni Even

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Romascanu, Dan (Dan)
> Sent: 03 June, 2013 4:24 PM
> To: 'xrblock'
> Subject: [xrblock] WGLC for
http://www.ietf.org/id/draft-ietf-xrblock-rtcp-
> xr-qoe-08.txt
> 
> Hi,
> 
> This is a WGLC for the Internet-Draft 'RTP Control Protocol (RTCP)
Extended
> Report (XR) Blocks for QoE Metric Reporting'. Please send your comments,
> questions, and concerns to the WG list before Monday 6/17 COB. If you have
> no comments or questions and you believe that this document is ready for
> submission to the IESG for consideration as a Proposed Standard, please
> send a message stating this.
> 
> The latest version of the document can be retrieved from
> http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt.
> 
> Thanks and Regards,
> 
> Dan
>

---

From: Qin Wu <[email-masked]>
Date: Thu, 13 Jun 2013 10:06:54 +0000

Hi, Roni:
Thank for your valuable comments.
See my reply below.

Regards!
-Qin
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Roni Even
Sent: Wednesday, June 12, 2013 5:40 PM
To: 'Romascanu, Dan (Dan)'; 'xrblock'
Subject: Re: [xrblock] WGLC for http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt

Hi,

Comment:

[Qin]: I agree more clarification text is needed. We can make it more specific.
"l" is referred to narrowband(3.5kHz) for audio or standards definition resolution for video (less than 720p)
"h" is referred to wideband(7kHz) for audio and high definition resolution for video (>=720p).

Nits

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

[Qin]: Okay.

Roni Even

Extended

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 13 Jun 2013 10:09:23 +0000

-----Original Message-----
From: Qin Wu <[email-masked]>
Date: Thursday, June 13, 2013 1:06 PM
To: Roni Even <[email-masked]>, "'Romascanu, Dan (Dan)'"
<[email-masked]>, 'xrblock' <[email-masked]>
Subject: Re: [xrblock]
WGLC	for	http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt

>resolution for video (>=720p).

This is a lot of handwaiving IMO.

---

From: Qin Wu <[email-masked]>
Date: Thu, 13 Jun 2013 10:18:06 +0000

Hi, Ali:

-----Original Message-----
From: Ali C. Begen (abegen) [mailto:[email-masked]] 
Sent: Thursday, June 13, 2013 6:09 PM
To: Qin Wu; Roni Even; 'Romascanu, Dan (Dan)'; 'xrblock'
Subject: Re: [xrblock] WGLC for http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt

-----Original Message-----
From: Qin Wu <[email-masked]>
Date: Thursday, June 13, 2013 1:06 PM
To: Roni Even <[email-masked]>, "'Romascanu, Dan (Dan)'"

[Qin]: Would you like to point out your concern? Are you suggesting to differentiate "mosref for audio" from "mosref for video"?
Or Are you suggesting not specific?

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 13 Jun 2013 10:27:13 +0000

-----Original Message-----
From: Qin Wu <[email-masked]>
Date: Thursday, June 13, 2013 1:18 PM
To: "Ali C. Begen" <[email-masked]>, Roni Even <[email-masked]>,
"'Romascanu, Dan (Dan)'" <[email-masked]>, 'xrblock' <[email-masked]>
Subject: RE: [xrblock] WGLC for
http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt

>Subject: Re: [xrblock] WGLC for
>http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt
>
>[Qin]: Would you like to point out your concern? Are you suggesting to
>differentiate "mosref for audio" from "mosref for video"?

Is there a referenceable standard/spec/book/whatever where it says 720p
and higher resolutions are HD and others are SD? Maybe it is just me, a
well-encoded SD content often looks better to me than the crappy so-called
HD videos some providers shamelessly broadcast. Your QoE metrics are
probably supposed to reflect that but my point is that in a few years
maybe no one will consider 720p HD any more. A more systematic definition
would have been more future-proof.

---

From: Qin Wu <[email-masked]>
Date: Thu, 13 Jun 2013 11:51:36 +0000

Hi,
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ali C. Begen (abegen)
Sent: Thursday, June 13, 2013 6:27 PM
To: Qin Wu; Roni Even; 'Romascanu, Dan (Dan)'; 'xrblock'
Subject: Re: [xrblock] WGLC for http://www.ietf.org/id/draft-ietf-xrblock-rtcp-xr-qoe-08.txt

-----Original Message-----
From: Qin Wu <[email-masked]>
Date: Thursday, June 13, 2013 1:18 PM
To: "Ali C. Begen" <[email-masked]>, Roni Even <[email-masked]>,

[Qin]: Good point. Since people (PM-DIR experts) also expect to differentiate lower resolution video from high resolution video
and the reference value used to distinct higher resolution video from lower one may change over time in the future,
How about remove ""720p" related text? Or you have better suggested text?